/**
 * Created by IntelliJ IDEA.
 * User: m09aav2
 * Date: 30.09.2009
 * Time: 19:11:09
 * To change this template use File | Settings | File Templates.
 */

import java.util.*;
import java.io.*;
public class p1 {
    public static void main (String[] arqs)throws Exception{
        Scanner s=new Scanner (new File("ratio.in"));
        int a=s.nextInt();
        int  b=s.nextInt();
        double c;
        PrintWriter p=new PrintWriter (new File("ratio.out"));
        if (b==0) {
            p.print("n v predyduschej zadache uzhe pisali, chto na nol' delit' nel'zya");}
        else
        {
            c=(double)a/b;
            p.format("%.6f",c);
        }
        //a.print(c);
        s.close();
        p.close();
  }
}
